﻿@model eCommerce.UI.ViewModels.ShoppingCartViewModel
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title ="Forma de Entrega";
}

@Html.Partial("_BreadCrumb")

@using (Html.BeginForm())
{
    <section id="cart-page">

        <div class="container">

            <div class="col-xs-12 col-md-9 items-holder no-margin widget">

                <h1 class="border" style="font-weight:500 !important;text-transform:none;">Forma de Entrega</h1>

            
                    <div class="main-content page-track-your-order" id="main-content">

                        <div class="row">
                            <div class="col-lg-12">

                                <p style="margin-top:15px;">Selecciona una de las siguientes formas de entrega:</p>

                                <div id="payment-method-options">
                                    
                                    <div class="payment-method-option">
                                        @*<input type="radio" id="DeliveryMethod_Retiro" name="DeliveryMethod" value="Retiro" />
                                        <label for="DeliveryMethod_Retiro">Retirá personalmente por nuestro showroom en Nuñez - CABA</label>
                                        <span class="method-info">El costo asd</span>*@
                                        <input class="" type="radio" id="DeliveryMethod_Retiro" name="DeliveryMethod" value="Retiro"><i class="fake-box"></i>
                                        <label for="DeliveryMethod_Retiro" class="radio-label">
                                            Retirá personalmente por nuestro showroom en Nuñez - CABA<br>
                                            <p></p>
                                        </label>
                                    </div>
                                    <div class="payment-method-option">
                                        <input class="" type="radio" id="DeliveryMethod_OCA_PaP" name="DeliveryMethod" value="OCA_PaP"><i class="fake-box"></i>
                                        <label for="DeliveryMethod_OCA_PaP" class="radio-label">
                                            OCA - Envío a domicilio @(Model.FreeShipping ? Html.Raw("<span style='font-weight:bold;font-size: 14px;'>(Envío gratis)</span>") : Html.Raw(string.Empty))<br>
                                            <p>El costo de envío es un estimado y deberá ser abonado a la empresa de logística elegida al recibir ó retirar tu compra.</p>
                                        </label>
                                    </div>
                                    <div class="payment-method-option">
                                        <input class="" type="radio" id="DeliveryMethod_OCA_PaS" name="DeliveryMethod" value="OCA_PaS"><i class="fake-box"></i>
                                        <label for="DeliveryMethod_OCA_PaS" class="radio-label">
                                            OCA - Envío a sucursal @(Model.FreeShipping ? Html.Raw("<span style='font-weight:bold;font-size: 14px;'>(Envío gratis)</span>") : Html.Raw(string.Empty))<br>
                                            <p>El costo de envío es un estimado y deberá ser abonado a la empresa de logística elegida al recibir ó retirar tu compra.</p>
                                        </label>
                                    </div>
                                    @*<div class="payment-method-option">
                                        <input class="le-radio" type="radio" id="DeliveryMethod_Moto" name="DeliveryMethod" value="Moto"><i class="fake-box"></i>
                                        <div class="radio-label bold ">
                                            Servicio de mensajería o motoentrega (Capital Federal y G.B.A)<br>
                                            <p>Descripción</p>
                                        </div>
                                    </div>*@

                                    <div class="payment-method-option">
                                        <input class="" type="radio" id="DeliveryMethod_Transporte" name="DeliveryMethod" value="Transporte"><i class="fake-box"></i>
                                        <label for="DeliveryMethod_Transporte" class="radio-label">
                                            Transportes a terminal de ómnibus<br>
                                            <p>Enviamos tu pedido a la Terminal de tu Localidad.</p>
                                        </label>
                                    </div>

                                    @*<div class="payment-method-option">
                                        <input class="le-radio" type="radio" id="DeliveryMethod_AConvenir" name="DeliveryMethod" value="AConvenir"><i class="fake-box"></i>
                                        <div class="radio-label">
                                            A convenir con Atención al Cliente<br>
                                            <p>Una vez finalizado tu pedido podrás coordinar con Atención al Cliente la forma de entrega que más te convenga.</p>
                                        </div>
                                    </div>*@
                                    
                                </div>
                                
                                @*<div class="panel" style="margin-top:-20px;">
                                    <div id="collapseOne" class="panel-collapse collapse in">
                                        <div class="panel-body">
                                            @Html.RadioButtonFor(model => model.DeliveryMethod,"Retiro", new { id ="DeliveryMethod_Retiro" })  <label>Retirá gratis en nuestro centro de entregas</label> <br />
                                            @Html.RadioButtonFor(model => model.DeliveryMethod,"OCA", new { id ="DeliveryMethod_OCA" })        <label>Envíos a todo el país por OCA</label><br />
                                            @Html.RadioButtonFor(model => model.DeliveryMethod,"Moto", new { id ="DeliveryMethod_Moto" })      <label>Servicio de mensajería o motoentrega (Capital Federal y G.B.A)</label><br />
                                        </div>
                                    </div>
                                </div>

                                <div class="panel  retiro" style="display:none;">
                                    <div id="collapseOne" class="panel-collapse collapse in">
                                        <div class="panel-body">
                                            <p>Podés pasar a retirar por nuestro centro de entregas en la calle Freire 956 de 10:00 a 17:00 hs.</p>
                                            <img src="\Content\assets\images\centro-de-entregas.png" />
                                        </div>
                                    </div>
                                </div>*@

                                <div class="panel ocaS ocaP moto transporte" style="display:none;">
                                    <div id="collapseOne" class="panel-collapse collapse in">
                                        <div class="panel-body no-margin">
                                            <div class="billing-address">

                                                @Html.Partial("_DeliveryAdress", Model)
                                            
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="buttons-holder pull-right" style="display:none;">
                                    <button id="Step2" type="submit" class="le-button huge">Continuar</button>
                                </div>

                            </div>
                        </div>
                    </div>
            </div>

            <!-- ========================================= CONTENT : END ========================================= -->

            <!-- ========================================= SIDEBAR ========================================= -->
            <div class="col-xs-12 col-md-3 no-margin sidebar">
                
                @Html.Partial("_OrderSummary", Model)

            </div>
            <!-- ========================================= SIDEBAR : END ========================================= -->
        </div>
    </section>

    <div class="ajax-loader"></div>

    <input type="hidden" name="ShippingCost" id="ShippingCost" />
    <input type="hidden" name="ShippingDays" id="ShippingDays" />
}

@section Scripts
{
    <script src="~/Scripts/ShoppingCart/Step2-3.js" type="text/javascript"></script>
    <script type="text/javascript">

        $(document).ready(function ()
        {
            $('input[type="radio"]').iCheck({
                checkboxClass: 'iradio_square-grey',
                radioClass: 'iradio_square-grey'
            });

            $('input[type="radio"]').on('ifChecked', function (event) {
                $(this).change();
            });

            $("#btnAvanzar").prop("disabled", true);
            $("#btnAvanzar").addClass("disabled");

            setCheckButton("DeliveryMethod_Retiro", "retiro");
            setCheckButton("DeliveryMethod_OCA_PaP", "ocaP");
            setCheckButton("DeliveryMethod_OCA_PaS", "ocaS");
            setCheckButton("DeliveryMethod_Moto", "moto");
            setCheckButton("DeliveryMethod_Transporte", "transporte");
            setCheckButton("DeliveryMethod_AConvenir", "convenir");

            /*$('#ProvinceId').change();*/
        });

        @*$('#ProvinceId').change(function (e)
        {
            $.ajax({
                url: '@Url.Action("GetCities", "ShoppingCart")',
                data: { provinceId: $(this).val() }
            }).done(function (data)
            {
                $('#CityId').find('option').remove().end();

                if (data != undefined && data != null) {
                    for (var i = 0; i < data.cities.length; i++) {
                        $("#CityId").append('<option value="' + data.cities[i].Id + '">' + data.cities[i].Name + '</option>');
                    }
                }
            });
        });*@

        function setCheckButton(id, option)
        {
            $("#" + id).change(function ()
            {
                $(".transporteForm").hide();
                $(".ocaForm").hide();
                $(".motoForm").hide();
                $(".ocaSForm").hide();
                $(".ocaPForm").hide();

                if ($(this).is(':checked'))
                {
                    hideAll();
                    $("." + option).fadeIn();
                    if (option == "retiro")
                    {
                        $("#btnAvanzar").prop("disabled", false);
                        $("#btnAvanzar").removeClass("disabled");
                        $(".shipment-cost").text("0").formatCurrency();

                        SetTotal();
                    } else if(option == "transporte")
                    {
                        $("#btnAvanzar").prop("disabled", true);
                        $("#btnAvanzar").addClass("disabled");
                        $(".transporteForm").show();
                    } else if(option == "moto"){
                        $("#btnAvanzar").prop("disabled", true);
                        $("#btnAvanzar").addClass("disabled");
                        $(".motoForm").show();
                    } else if(option == "ocaS"){
                        $("#btnAvanzar").prop("disabled", true);
                        $("#btnAvanzar").addClass("disabled");
                        $(".ocaSForm").show();
                    } else if(option == "ocaP")
                    {
                        $("#btnAvanzar").prop("disabled", true);
                        $("#btnAvanzar").addClass("disabled");
                        $(".ocaPForm").show();
                    } else if(option == "convenir")
                    {
                        $("#btnAvanzar").prop("disabled", false);
                        $("#btnAvanzar").removeClass("disabled");
                        $(".shipment-cost").text("0").formatCurrency();

                        SetTotal();
                    }
                }
            });
        }

        function hideAll()
        {
            $(".retiro").hide();
            $(".oca").hide();
            $(".moto").hide();
        }

        function GetShippingCost()
        {
            var selected = $("input[type='radio']:checked").val();
            
            if (selected == "OCA_PaS")
                GetOcaPShippingCost();
            /*else if (selected == "Moto")
                GetMotoShippingCost();*/
            else if (selected == "Transporte") {
                GetTransportShippingCost();
            } else if (selected == "OCA_PaP")
                GetOcaPShippingCost();
        }

        function GetOcaSShippingCost()
        {
            if (isValidOcaS())
            {
                var shippingCost = $("#txtShippingCost").val();
                
                $("#ShippingCost").val(shippingCost.replace('$',''));
                $(".shipment-cost").text(shippingCost).formatCurrency();
                SetTotal();
            }
        }

        @*function GetMotoShippingCost()
        {
            if (isValidMoto()) {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: '@Url.Action("GetMotoShippingCost", "ShoppingCart")',
                    data: { cityId: $("#CityId").val() },
                    success: function (data) {
                        if (data.Price != null) {
                            $("#ShippingCost").val(data.Price);
                            $(".shipment-cost").text(data.Price).formatCurrency();
                            SetTotal();
                            //nEl plazo de entrega estimado es de ' + data.Days + '
                        }
                        else {
                            toastr.error(data.Error);
                        }
                    }
                });
            }
        }*@

        function GetOcaPShippingCost() {
            if (isValidMoto())
            {
                var zipCode = $("#ZipCode").val();
                $('.ajax-loader').show();

                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/ShoppingCart/GetOcaCenters",
                    data: { zipCode: zipCode, OcaSendType: "PaP" },
                    complete: function () { $('.ajax-loader').hide(); },
                    success: function (data) {
                        if (data.ShippingCost != "") {
                            $("#ShippingCost").val(data.ShippingCost.replace('$',''));
                            $(".shipment-cost").text(data.ShippingCost).formatCurrency();
                            SetTotal();
                            //nEl plazo de entrega estimado es de ' + data.Days + '
                        }
                        else {
                            toastr.error(data.Error);
                        }
                    }
                });
            }
        }

        function GetTransportShippingCost()
        {
            if (isValidTransport())
            {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: '@Url.Action("GetTransportShippingCost", "ShoppingCart")',
                    data: null,
                    success: function (data) {
                        if (data.Price != null)
                        {
                            $("#ShippingCost").val(data.Price);
                            $(".shipment-cost").text(data.Price).formatCurrency();
                            SetTotal();
                            //nEl plazo de entrega estimado es de ' + data.Days + '
                        }
                        else {
                            toastr.error(data.Error);
                        }
                    }
                });
            }

        }

        function isValidOcaS()
        {
            var isValid = true;
            var shippingCost = $("#txtShippingCost").val();

            if (shippingCost.length == 0)
            {
                $("#btnGetOcaCenters").addClass("required");
                isValid = false;
            } else {
                $("#btnGetOcaCenters").removeClass("required");
            }

            if (!isValid)
                toastr.warning("Complete los datos obligatorios.");
            else {
                $("#btnAvanzar").prop("disabled", false);
                $("#btnAvanzar").removeClass("disabled");
            }
            return isValid;
        }

        function isValidTransport()
        {
            var isValid = true;
            var province = $("#ProvinceId").val();
            var city = $("#City").val();
            var address = $("#Address").val();
            var addressNumber = $("#AddressNumber").val();
            var shipmentCompany = $("#ShipmentCompany").val();
            var shipmentCompanyTel = $("#ShipmentCompanyTel").val();
            var shipmentCompanyAddress= $("#ShipmentCompanyAddress").val();

            if (province.length == 0) {
                $("#ProvinceId").addClass("required");
                isValid = false;
            } else
                $("#ProvinceId").removeClass("required");

            if (city.length == 0) {
                $("#City").addClass("required");
                isValid = false;
            } else
                $("#City").removeClass("required");

            if (address.length == 0) {
                $("#Address").addClass("required");
                isValid = false;
            } else
                $("#Address").removeClass("required");

            if (addressNumber.length == 0) {
                $("#AddressNumber").addClass("required");
                isValid = false;
            } else
                $("#AddressNumber").removeClass("required");
            
            if (shipmentCompany.length == 0) {
                $("#ShipmentCompany").addClass("required");
                isValid = false;
            } else
                $("#ShipmentCompany").removeClass("required");
            if (shipmentCompanyTel.length == 0) {
                $("#ShipmentCompanyTel").addClass("required");
                isValid = false;
            } else
                $("#ShipmentCompanyTel").removeClass("required");
            if (shipmentCompanyAddress.length == 0) {
                $("#ShipmentCompanyAddress").addClass("required");
                isValid = false;
            } else
                $("#ShipmentCompanyAddress").removeClass("required");

            if (!isValid)
                toastr.warning("Complete los datos obligatorios.");
            else {
                $("#btnAvanzar").prop("disabled", false);
                $("#btnAvanzar").removeClass("disabled");
            }
            return isValid;
        }

        function isValidMoto() {
            var isValid = true;
            var province = $("#ProvinceId").val();
            var city = $("#City").val();
            var address = $("#Address").val();
            var addressNumber = $("#AddressNumber").val();
            var zipCode = $("#ZipCode").val();
            var phoneNumber = $("#PhoneNumber").val();
            var cellphone = $("#Cellphone").val();

            if (province.length == 0) {
                $("#ProvinceId").addClass("required");
                isValid = false;
            } else
                $("#ProvinceId").removeClass("required");

            if (city.length == 0) {
                $("#City").addClass("required");
                isValid = false;
            } else
                $("#City").removeClass("required");

            if (address.length == 0) {
                $("#Address").addClass("required");
                isValid = false;
            } else
                $("#Address").removeClass("required");

            if (addressNumber.length == 0) {
                $("#AddressNumber").addClass("required");
                isValid = false;
            } else
                $("#AddressNumber").removeClass("required");
            if (zipCode.length == 0) {
                $("#ZipCode").addClass("required");
                isValid = false;
            } else
                $("#ZipCode").removeClass("required");
            
            if (phoneNumber.length == 0) {
                $("#PhoneNumber").addClass("required");
                isValid = false;
            } else
                $("#PhoneNumber").removeClass("required");
            if (cellphone.length == 0) {
                $("#Cellphone").addClass("required");
                isValid = false;
            } else
                $("#Cellphone").removeClass("required");

            if (!isValid)
                toastr.warning("Complete los datos obligatorios.");
            else {
                $("#btnAvanzar").prop("disabled", false);
                $("#btnAvanzar").removeClass("disabled");
            }

            return isValid;
        }

        function GetOcaCenters()
        {
            event.preventDefault();
            $("#btnGetOcaCenters").removeClass("required");
            var zipCode = $("#ZipCodeOCA").val();

            if(zipCode != '')
            {
                $('.ajax-loader').show();

                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/ShoppingCart/GetOcaCenters",
                    data: { zipCode: zipCode, OcaSendType: "PaS" },
                    complete: function () { $('.ajax-loader').hide(); },
                    success: function (data) {
                        if (data.Error == '') {
                            $("#txtShippingCost").val(data.ShippingCost);
                            $("#txtShippingDays").val(data.ShippingDays);

                            var select = $('#CentrosOCA');
                            select.empty()
                            $.each(data.CentrosDeEntrega, function (i, item) {
                                var value = item.Calle + ' ' + item.Numero + ' - ' + item.Descripcion + ' - CP:' + item.CodigoPostal;
                                select.append('<option value="' + value + '">' + value + '</option>');
                            });
                            $("#infoOca").fadeIn("300");
                            //$("#btnAvanzar").prop("disabled", false);
                            //$("#btnAvanzar").removeClass("disabled");
                        }
                        else {
                            alert(data.Error);
                        }
                    }
                });
            }
        }

    </script>
}